org.eclnt.jsfserver.elements.componentnodes

## Class COLDISTANCENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.COLDISTANCENode

- All Implemented Interfaces:
    java.io.Serializable

      public class COLDISTANCENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COLDISTANCENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `COLDISTANCENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindComment(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindFocusable(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindHeight(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindRendered(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `bindWidth(IDynamicContentBindingObject value)`
    `COLDISTANCENode` | `setAdapterbinding(java.lang.String value)`
    `COLDISTANCENode` | `setAttributemacro(java.lang.String value)`
    `COLDISTANCENode` | `setBgpaint(java.lang.String value)`
    `COLDISTANCENode` | `setComment(java.lang.String value)`
    `COLDISTANCENode` | `setConfiginfo(java.lang.String value)`
    `COLDISTANCENode` | `setDragroundtrip(boolean value)`
    `COLDISTANCENode` | `setDragroundtrip(java.lang.String value)`
    `COLDISTANCENode` | `setDragsend(java.lang.String value)`
    `COLDISTANCENode` | `setDroprastertext(java.lang.String value)`
    `COLDISTANCENode` | `setDropreceive(java.lang.String value)`
    `COLDISTANCENode` | `setDropshape(java.lang.String value)`
    `COLDISTANCENode` | `setFocusable(boolean value)`
    `COLDISTANCENode` | `setFocusable(java.lang.String value)`
    `COLDISTANCENode` | `setFocusdrawborder(boolean value)`
    `COLDISTANCENode` | `setFocusdrawborder(java.lang.String value)`
    `COLDISTANCENode` | `setHeight(int value)`
    `COLDISTANCENode` | `setHeight(java.lang.String value)`
    `COLDISTANCENode` | `setId(java.lang.String value)`
    `COLDISTANCENode` | `setReference(java.lang.String value)`
    `COLDISTANCENode` | `setRendered(boolean value)`
    `COLDISTANCENode` | `setRendered(java.lang.String value)`
    `COLDISTANCENode` | `setStylevariant(java.lang.String value)`
    `COLDISTANCENode` | `setWidth(int value)`
    `COLDISTANCENode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COLDISTANCENode

          public COLDISTANCENode()

  - ### Method Detail

    - #### setId

          public COLDISTANCENode setId(java.lang.String value)

    - #### setAdapterbinding

          public COLDISTANCENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public COLDISTANCENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public COLDISTANCENode setAttributemacro(java.lang.String value)

    - #### setBgpaint

          public COLDISTANCENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public COLDISTANCENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setComment

          public COLDISTANCENode setComment(java.lang.String value)

    - #### bindComment

          public COLDISTANCENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public COLDISTANCENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public COLDISTANCENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public COLDISTANCENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public COLDISTANCENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public COLDISTANCENode setDragroundtrip(boolean value)

    - #### setDragsend

          public COLDISTANCENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public COLDISTANCENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public COLDISTANCENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public COLDISTANCENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public COLDISTANCENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public COLDISTANCENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public COLDISTANCENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public COLDISTANCENode bindDropshape(IDynamicContentBindingObject value)

    - #### setFocusable

          public COLDISTANCENode setFocusable(java.lang.String value)

    - #### bindFocusable

          public COLDISTANCENode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public COLDISTANCENode setFocusable(boolean value)

    - #### setFocusdrawborder

          public COLDISTANCENode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public COLDISTANCENode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public COLDISTANCENode setFocusdrawborder(boolean value)

    - #### setHeight

          public COLDISTANCENode setHeight(java.lang.String value)

    - #### bindHeight

          public COLDISTANCENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public COLDISTANCENode setHeight(int value)

    - #### setReference

          public COLDISTANCENode setReference(java.lang.String value)

    - #### setRendered

          public COLDISTANCENode setRendered(java.lang.String value)

    - #### bindRendered

          public COLDISTANCENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public COLDISTANCENode setRendered(boolean value)

    - #### setStylevariant

          public COLDISTANCENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public COLDISTANCENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public COLDISTANCENode setWidth(java.lang.String value)

    - #### bindWidth

          public COLDISTANCENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public COLDISTANCENode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.